Pular para o conteúdo principal
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
/
logs
curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "data": [
    {
      "id": "log-uuid-1",
      "event": "campaign.started",
      "attempt": 1,
      "status": "success",
      "http_status": 200,
      "duration_ms": 142,
      "delivered_at": "2024-01-15T11:00:01Z",
      "created_at": "2024-01-15T11:00:00Z"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 47
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Listar Logs do Webhook da Campanha

Lista as tentativas de entrega para um webhook de campanha, incluindo status HTTP, resposta, número da tentativa e tempo. Mesma estrutura de Listar Logs de Entrega de Webhook.

Endpoint

GET /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}/logs

Parâmetros de Caminho

campaign_id
string
obrigatório
UUID da campanha.
webhook_id
string
obrigatório
UUID do webhook.

Parâmetros de Consulta

per_page
integer
Itens por página. Faixa: 1100. Padrão: 25.
page
integer
Padrão: 1.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer. Formato: Bearer talq_your_environment_token_here

Exemplos

curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Resposta

{
  "success": true,
  "data": [
    {
      "id": "log-uuid-1",
      "event": "campaign.started",
      "attempt": 1,
      "status": "success",
      "http_status": 200,
      "duration_ms": 142,
      "delivered_at": "2024-01-15T11:00:01Z",
      "created_at": "2024-01-15T11:00:00Z"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 47
  }
}